%define name jonas
%define version 3.0
%define release 1.0.2mdk 
%define src src
%define bin bin
%define ant ant
%define bcel bcel
%define tomcat tomcat
%define dest var/www
%define home home

Name: %{name}
Summary: J2EE EJB Server JOnAS 3.0
Version: %{version} 
Release: %{release} 
Source0: http://ant.apache.org/old-releases/v1.5/src/jakarta-%{ant}-1.5-src.zip
Source1: http://ant.apache.org/old-releases/v1.5/bin/jakarta-%{ant}-1.5-bin.zip
Source2: http://jakarta.apache.org/builds/jakarta-bcel/release/v5.0/%{bcel}-5.0-src.tar.gz
Source3: http://jakarta.apache.org/builds/jakarta-bcel/release/v5.0/%{bcel}-5.0.tar.gz
Source4: http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v4.1.18/src/jakarta-%{tomcat}-4.1.18-src.tar.gz
Source5: http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v4.1.18/bin/jakarta-%{tomcat}-4.1.18.tar.gz
Source6: http://www.objectweb.org/jonas/download/%{name}-3-0-src.tgz
Source7: http://www.objectweb.org/jonas/download/%{name}-3-0.tgz
Source8: http://rpms.arvin.dk/postgresql/source/added_files/jdbc7.2dev-1.2.jar
Source9: README.txt
Source10: jonas.properties
Source11: Postgres.properties
Source12: config_env
Source13: server.xml
Source14: tomcat-users.xml
Source15: web.xml
Source16: catalina.policy
Source17: jk2.properties
Source18: .bash_profile
URL: http://www.objectweb.org/jonas/index.html
Group: Development/Java
BuildRoot: %{_tmppath}/%{name}-buildroot
License: LGPL
Requires: j2sdk >= 1.3.1
BuildRequires: j2sdk >= 1.3.1, ant = 1.5
Provides: %{bcel}, %{ant}, %{tomcat}, %{name}
BuildArch: noarch

%description
J2EE EJB Server JOnAS 3.0

%prep
[ "RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%setup -T -c -b0 -n %{src}
%setup -T -c -b1 -n %{bin}
%setup -T -D -c -b2 -n %{src}
%setup -T -D -c -b3 -n %{bin}
%setup -T -D -c -b4 -n %{src}
%setup -T -D -c -b5 -n %{bin}
%setup -T -D -c -b6 -n %{src}
%setup -T -D -c -b7 -n %{bin}
cp -fp %{_sourcedir}/jdbc7.2dev-1.2.jar %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/README.txt %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/jonas.properties %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/Postgres.properties %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/config_env %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/server.xml %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/tomcat-users.xml %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/web.xml %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/catalina.policy %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/jk2.properties %{_builddir}/%{bin}/.
cp -fp %{_sourcedir}/.bash_profile %{_builddir}/%{bin}/.

%build
mkdir -p $RPM_BUILD_ROOT/%{dest}/jakarta-%{ant}-1.5
mkdir -p $RPM_BUILD_ROOT/%{dest}/%{bcel}-5.0
mkdir -p $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18
mkdir -p $RPM_BUILD_ROOT/%{dest}/JONAS
mkdir -p $RPM_BUILD_ROOT/%{home}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/%{name}/conf
mkdir -p $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/%{name}/logs
mkdir -p $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/%{name}/webapps/
mkdir -p $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/%{name}/work/

# In order to re-build JOnAS enable the 3 following lines instead of the 4th line
#cd ../%{src}/%{name}/
#ant -Djonas.root=$RPM_BUILD_ROOT/%{dest}/JONAS install
#cd ../../bin
cp -rfp ./JONAS $RPM_BUILD_ROOT/%{dest}/.

cp -rfp ./jakarta-%{ant}-1.5 $RPM_BUILD_ROOT/%{dest}/.
cp -rfp ./%{bcel}-5.0 $RPM_BUILD_ROOT/%{dest}/.
cp -rfp ./jakarta-%{tomcat}-4.1.18 $RPM_BUILD_ROOT/%{dest}/.
cp -fp ./jdbc7.2dev-1.2.jar $RPM_BUILD_ROOT/%{home}/%{name}/.
cp -fp ./README.txt $RPM_BUILD_ROOT/%{home}/%{name}/.
cp -fp ./jonas.properties $RPM_BUILD_ROOT/%{dest}/JONAS/config/.
cp -fp ./Postgres.properties $RPM_BUILD_ROOT/%{dest}/JONAS/config/.
cp -fp ./config_env $RPM_BUILD_ROOT/%{dest}/JONAS/bin/unix/.
cp -fp ./server.xml $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/jonas/conf/.
cp -fp ./tomcat-users.xml $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/jonas/conf/.
cp -fp ./web.xml $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/jonas/conf/.
cp -fp ./catalina.policy $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/jonas/conf/.
cp -fp ./jk2.properties $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/jonas/conf/.
cp -fp ./.bash_profile $RPM_BUILD_ROOT/%{home}/%{name}/.


%install


%clean
[ "RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

 
%pre
if [ $1 = 1 ]
then    # ------ Done before first install ------

    grep ^jonas: /etc/passwd 1>/dev/null 2>&1
    if [ $? -ne 0 ]
    then
        adduser jonas
    fi

else    # ------ Done before install when upgrading ------
echo ""
fi


%post
# ------ Always done after install and before specific work ------

cp -fp $RPM_BUILD_ROOT/%{dest}/%{bcel}-5.0/%{bcel}.jar $RPM_BUILD_ROOT/%{dest}/jakarta-%{ant}-1.5/lib/.
rm -f $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18/webapps/admin.xml
chmod a+x $RPM_BUILD_ROOT/%{dest}/jakarta-%{ant}-1.5/bin/*
chmod a+x $RPM_BUILD_ROOT/%{dest}/JONAS/bin/unix/config_env
echo In order to configure JOnAS, please read : /%{home}/%{name}/README.txt

if [ $1 = 1 ]
then    # ------ Only done after first install ------
echo ""
else    # ------ Only done after install when upgrading ------
echo ""
fi

# ------ Always done after install and after specific work ------


%preun
# ------ Always done before de-install and before specific work ------

if [ $1 = 0 ]
then    # ------ Only done before final de-install ------
echo ""
else    # ------ Only done before de-install when upgrading ------
echo ""
fi

# ------ Always done before de-install and after specific work ------


%postun
# ------ Always done after de-install and before specific work ------

if [ $1 = 0 ]
then    # ------ Only done after final de-install ------

    rm -rf $RPM_BUILD_ROOT/%{dest}/jakarta-%{ant}-1.5
    rm -rf $RPM_BUILD_ROOT/%{dest}/%{bcel}-5.0
    rm -rf $RPM_BUILD_ROOT/%{dest}/jakarta-%{tomcat}-4.1.18
    rm -rf $RPM_BUILD_ROOT/%{dest}/JONAS

else    # ------ Only done after de-install when upgrading ------
echo ""
fi

# ------ Always done after de-install and after specific work ------


%files
%defattr (-, root, root, 0755)
/%{dest}/jakarta-%{ant}-1.5
/%{dest}/%{bcel}-5.0
%attr (-, jonas, jonas) /%{dest}/jakarta-%{tomcat}-4.1.18
%attr (-, jonas, jonas) /%{dest}/JONAS
%attr (-, jonas, jonas) /%{home}/%{name}

%changelog
* Tue Mar 11 2003 Armel Lannois <armel.lannois@bull.net> - 3.0-1.0.2mdk
- Add configuration files

* Mon Mar 10 2003 Armel Lannois <armel.lannois@bull.net> - 3.0-1.0.1mdk
- Replace ODBC PostgreSQL driver

* Fri Mar 07 2003 Armel Lannois <armel.lannois@bull.net> - 3.0-1.0.0mdk
- First Mandrake release
